Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class DatabaseInfo

    |
    +--ru.biosoft.access.MutableDataElementSupport
      |
      +--biouml.standard.type.BaseSupport
            |
            +--biouml.standard.type.GenericEntity
                  |
                  +--biouml.standard.type.Referrer
                        |
                        +--biouml.standard.type.DatabaseInfo

public class DatabaseInfo
extends Referrer

Many data elements can refer to other databases through its database references field. This class is used to describe basic information about this databases as well as to describe rules how information from corresponding databases can be retrieved.

Constructor Summary
`DatabaseInfo(DataCollection parent, String name)`

Method Summary
`String` | `getQueryByAc()` Template to get database entry through http.
`String` | `getQueryById()` Template to get database entry through http.
`String` | `getType()`
`String` | `getURL()` Database URL.
`void` | `setQueryByAc(String queryByAc)`
`void` | `setQueryById(String queryById)`
`void` | `setURL(String url)`

Methods inherited from class biouml.standard.type.Referrer
`getDatabaseReferences, getDescription, getLiteratureReferences, setDatabaseReferences, setDescription, setLiteratureReferences`

Methods inherited from class biouml.standard.type.GenericEntity
`getComment, getDate, setComment, setDate`

Methods inherited from class biouml.standard.type.BaseSupport
`getTitle, setTitle`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Constructor Detail

### DatabaseInfo

    public DatabaseInfo(DataCollection parent, String name)

Method Detail

### getQueryByAc

    public String getQueryByAc()

  Template to get database entry through http. For this purpose it is neccessary to replace '$ac$' by real ac (secondary key or accession number) in the template.

### getQueryById

    public String getQueryById()

  Template to get database entry through http. For this purpose it is neccessary to replace '$id$' by real id (primary key) in the template.

### getType

    public String getType()

### getURL

    public String getURL()

  Database URL.

### setQueryByAc

    public void setQueryByAc(String queryByAc)

### setQueryById

    public void setQueryById(String queryById)

### setURL

    public void setURL(String url)

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM